{% extends 'base.html' %}

{% block current_page %}{{ gettext("Edit racer %s").format(racer.number) }}{% endblock %}

{% block content %}<header>
	<h1>{{ gettext("Edit racer %s").format(racer.number) }}</h1>
</header>
<main>
	<form method="POST">
		{{ form.hidden_tag() }}
		
		<div>
			{{ form.number(placeholder=form.number.label.text, value=racer.number) }}
		</div>
		
		<div>
			{{ form.name(placeholder=form.name.label.text, value=racer.name) }}
		</div>
		
		<div>
			{{ form.time(placeholder=form.time.label.text, value=racer.time.total_seconds()|int) }}
		</div>
		
		<input type="submit" value="{{ gettext('Update racer') }}">
	</form>
</main>{% endblock %}
